Solid Edge Assembly Type Library
GetFixedLength Method
Returns fixed length.
Output only when FixedLengthConstraintDirection is set to igConstraintDirectionGeometry.
Description
Gives the fixed length of the path object.
Syntax
Visual Basic
Public Sub GetFixedLength( _
   ByRef pdCurveLength As Double, _
   ByRef pFixedLengthConstraintDirection As SEFixedLengthConstraintDirection, _
   ByRef pConstraintGeometry As Object _
) 
Parameters
pdCurveLength
Returns fixed length.
pFixedLengthConstraintDirection
ValueDescription
igConstraintDirectionGeometryPoints can move along direction linear edge provided by next argument pConstraintGeometry.
igConstraintDirectionNoAxisPoints are free to move in any direction.
igConstraintDirectionNoneInvalid. Only for initialization.
igConstraintDirectionXAxisPoints can move along X axis only
igConstraintDirectionYAxisPoints can move along Y axis only
igConstraintDirectionZAxisPoints can move along Z axis only
pConstraintGeometry
Output only when FixedLengthConstraintDirection is set to igConstraintDirectionGeometry.
Example
Imports System.Runtime.InteropServices
Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim objApp As SolidEdgeFramework.Application = Nothing
        Dim objDoc As SolidEdgeAssembly.AssemblyDocument = Nothing
        Dim objpaths As SolidEdgeAssembly.Paths = Nothing
        Dim objpath As SolidEdgeAssembly.Path = Nothing
        Dim aobj As Object = Nothing
        Dim ConstraintDirection As SolidEdgePart.SEFixedLengthConstraintDirection = Nothing
        Dim objConstrainedEdge As Object = Nothing
        Dim doubleValue As Double

        Try
            objApp = Marshal.GetActiveObject("SolidEdge.Application")
            objDoc = objApp.ActiveDocument ' Active document must contain a path
            objpaths = objDoc.Paths
            objpath = objpaths.Item(1)
            objpath.SetFixedLength(1.0, SolidEdgePart.SEFixedLengthConstraintDirection.igConstraintDirectionNoAxis, aobj)
            objpath.GetFixedLength(doubleValue, ConstraintDirection, objConstrainedEdge)
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

End Class
See Also

Path Object  | Path Members